unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, TeEngine, Series, ExtCtrls, TeeProcs, Chart,
  DBChart, DB, DBTables, StdCtrls;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DBChart1: TDBChart;
    Series1: TBarSeries;
    Panel1: TPanel;
    DBChart2: TDBChart;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeeStore, Unit2;

procedure TForm1.FormCreate(Sender: TObject);
var tmpStream: TMemoryStream;
    tmpAlign: TAlign;
    tmpHeight: Integer;
begin
  tmpStream:=TMemoryStream.Create;

  SaveChartToStream(DBChart1, tmpStream, false, true);

  tmpStream.Position:=0;
  tmpAlign:=DBChart2.Align;
  tmpHeight:=DBChart2.Height;
  LoadChartFromStream(DBChart2, tmpStream);
  DBChart2.Align:=tmpAlign;
  DBChart2.Height:=tmpHeight;
end;

procedure TForm1.Button1Click(Sender: TObject);

  procedure ShowChartOnMemo(Chart: TDBChart; memo: TMemo);
  var
    s: AnsiString;
    Stream: TMemoryStream;
  begin
    Stream := TMemoryStream.Create;
    SaveChartToStream(Chart, Stream, false, true);
    Stream.Position:=0;
    try
      SetLength(s, Stream.Size);
      if Stream.Size>0 then
        Stream.ReadBuffer(s[1], Stream.Size);
    finally
      Stream.Free;
    end;

    memo.Clear;
    memo.Lines.Text:=s;
  end;

begin
  with TForm2.Create(Self) do
  begin
    ShowChartOnMemo(DBChart1, Memo1);
    ShowChartOnMemo(DBChart2, Memo2);

    Show;
  end;
end;

initialization
  RegisterTeeStandardSeries;

end.
